gnutls_x509_crt_set_crq(3)

NAME
gnutls_x509_crt_set_crq - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_crq(gnutls_x509_crt_t crt, gnutls_x509_crq_t crq);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_crq_t crq
    holds a certificate request

DESCRIPTION
This function will set the name and public parameters as well as the extensions from the given certificate request to the certificate. Only RSA keys are currently supported. Note that this function will only set the crq if it is self signed and the signature is correct. See gnutls_x509_crq_sign2().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/